Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.transform
Class ENLOCTransformer

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.transform.ENLOCTransformer

All Implemented Interfaces:
  IENLOCTransformer

    public class ENLOCTransformer

extends java.lang.Object
implements IENLOCTransformer

Esta clase implementa un transformador ENLOC. Este transformador cumple con los requerimientos definidos y documentados por el interfaz IENLOCTransformer.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`static IENLOCTransformer` | `createInstance()` Crea una instancia del transformador ENLOC.
`java.util.ArrayList<java.lang.String>` | `getLoggerTraceList()` Obtiene la lista destinada a almacenar warnings o errores que llegan al logger durante el proceso
`void` | `setLoggerTraceList(java.util.ArrayList<java.lang.String> loggerList)` Establece la lista destinada a almacenar warnings o errores que llegan al logger durante el proceso
`byte[]` | `transformToXbrl(byte[] inputDocument, boolean validateXbrl)` Realiza la transformación de un documento en formato común (XML) a XBRL.
`byte[]` | `transformToXbrl(java.lang.String inputPath, boolean validate)` Realiza la transformación de un documento en formato común (XML) a XBRL.
`void` | `transformToXbrl(java.lang.String inputPath, java.lang.String outputPath)` Realiza la transformación de un documento en formato común (XML) a XBRL, devolviendo la salida en un fichero, cuyo path es indicado en el parámetro de entrada outputPath.
`void` | `transformToXbrl(java.lang.String inputPath, java.lang.String outputPath, boolean validateXbrl)` Realiza la transformación de un documento en formato común (XML) a XBRL, devolviendo la salida en un fichero, cuyo path es indicado en el parámetro de entrada outputPath.
`byte[]` | `transformToXml(byte[] inputDocument, boolean validateXbrl)` Realiza la transformación de un documento XBRL a un documento XML en formato común, validando previamente el documento XBRL de entrada si es cierto el parámetro de entrada validateXbrl.
`byte[]` | `transformToXml(java.lang.String inputPath, boolean validateXbrl)` Realiza la transformación de un documento XBRL a un documento XML en formato común, validando previamente el documento XBRL de entrada si es cierto el parámetro de entrada validateXbrl.
`void` | `transformToXml(java.lang.String inputPath, java.lang.String outputPath, boolean validateXbrl)` Realiza la transformación de un documento XBRL a un documento XML en formato común, validando previamente el documento XBRL de entrada si es cierto el parámetro de entrada validateXbrl.
`void` | `validateXBRL(byte[] inputDocument)` Valida un documento XBRL

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLoggerTraceList

    public java.util.ArrayList<java.lang.String> getLoggerTraceList()

  Description copied from interface: `IENLOCTransformer`
  Obtiene la lista destinada a almacenar warnings o errores que llegan al logger durante el proceso

  Specified by:
    `getLoggerTraceList` in interface `IENLOCTransformer`
  Returns:
    ArrayList de String

### setLoggerTraceList

    public void setLoggerTraceList(java.util.ArrayList<java.lang.String> loggerList)

  Description copied from interface: `IENLOCTransformer`
  Establece la lista destinada a almacenar warnings o errores que llegan al logger durante el proceso

  Specified by:
    `setLoggerTraceList` in interface `IENLOCTransformer`
  Parameters:
    `loggerList` - ArrayList de String

### validateXBRL

    public void validateXBRL(byte[] inputDocument)
                      throws XBRLValidatorException

  Valida un documento XBRL

  Parameters:
    `inputDocument` - array de bytes que forman el XBRL origen de la transformación
  Throws:
    `XBRLValidatorException`

### transformToXbrl

    public void transformToXbrl(java.lang.String inputPath,
                                java.lang.String outputPath)
                         throws TransformException

  Description copied from interface: `IENLOCTransformer`
  Realiza la transformación de un documento en formato común (XML) a XBRL, devolviendo la salida en un fichero, cuyo path es indicado en el parámetro de entrada outputPath.
  Antes de realizar la transformación a XBRL, el transformador comprueba si el XML de entrada en formato común cumple con el esquema definido para tal, realizando una validación de esquema.
  Si se encuentran errores en la validación, se eleva una excepción del tipo XSDValidatorExcetion, indicando en el mensaje los errores de validación encontrados.
  Una vez finalizada la transformación y antes de devolver la respuesta, en función del parámetro de entrada validateXbrl se valida la instancia XBRL.
  En el caso de encontrarse errores en la validación del XBRL, el transformación eleva una excepción del tipo XBRLValidatorException, en cuyo mensaje se encuentran los erroes de validación encontrados.

  Specified by:
    `transformToXbrl` in interface `IENLOCTransformer`
  Parameters:
    `inputPath` - ruta del documento XML de entrada
    `outputPath` - ruta donde se guardará el documento respuesta
  Throws:
    `TransformException` - En el caso de encontrar errores en el proceso de transformación

### transformToXbrl

    public void transformToXbrl(java.lang.String inputPath,
                                java.lang.String outputPath,
                                boolean validateXbrl)
                         throws TransformException

  Description copied from interface: `IENLOCTransformer`
  Realiza la transformación de un documento en formato común (XML) a XBRL, devolviendo la salida en un fichero, cuyo path es indicado en el parámetro de entrada outputPath.
  Antes de realizar la transformación a XBRL, el transformador comprueba si el XML de entrada en formato común cumple con el esquema definido para tal, realizando una validación de esquema.
  Si se encuentran errores en la validación, se eleva una excepción del tipo XSDValidatorExcetion, indicando en el mensaje los errores de validación encontrados.
  Una vez finalizada la transformación y antes de devolver la respuesta, en función del parámetro de entrada validateXbrl se valida la instancia XBRL.
  En el caso de encontrarse errores en la validación del XBRL, el transformación eleva una excepción del tipo XBRLValidatorException, en cuyo mensaje se encuentran los erroes de validación encontrados.

  Specified by:
    `transformToXbrl` in interface `IENLOCTransformer`
  Parameters:
    `inputPath` - ruta del documento XML de entrada
    `outputPath` - ruta donde se guardará el documento respuesta
    `validateXbrl` - indica si se valida el Xbrl de salida
  Throws:
    `TransformException` - En el caso de encontrar errores en el proceso de transformación

### transformToXbrl

    public byte[] transformToXbrl(java.lang.String inputPath,
                                  boolean validate)
                           throws TransformException

  Description copied from interface: `IENLOCTransformer`
  Realiza la transformación de un documento en formato común (XML) a XBRL. El documento XBRL resultado es devuelto como un array de bytes.
  Antes de realizar la transformación a XBRL, el transformador comprueba si el XML de entrada en formato común cumple con el esquema definido para tal, realizando una validación de esquema.
  Si se encuentran errores en la validación, se eleva una excepción del tipo XSDValidatorExcetion, indicando en el mensaje los errores de validación encontrados.
  Una vez finalizada la transformación y antes de devolver la respuesta, en función del parámetro de entrada validateXbrl se valida la instancia XBRL.
  En el caso de encontrarse errores en la validación del XBRL, el transformación eleva una excepción del tipo XBRLValidatorException, en cuyo mensaje se encuentran los erroes de validación encontrados.

  Specified by:
    `transformToXbrl` in interface `IENLOCTransformer`
  Parameters:
    `inputPath` - Ruta del documento XML de entrada
    `validate` - Valor booleano que indicará si se debe validar el documento XBRL antes de devolver.
  Returns:
    Objeto con el documento XBRL resultado de la transformación
  Throws:
    `TransformException` - En el caso de encontrar errores en el proceso de transformación

### transformToXbrl

    public byte[] transformToXbrl(byte[] inputDocument,
                                  boolean validateXbrl)
                           throws TransformException

  Description copied from interface: `IENLOCTransformer`
  Realiza la transformación de un documento en formato común (XML) a XBRL. El documento XBRL resultado es devuelto como un array de bytes.
  El documento de entrada es pasado como un array de bytes. Dicho array se guarda en un archivo temporal antes de continuar con el proceso.
  Antes de realizar la transformación a XBRL, el transformador comprueba si el XML de entrada en formato común cumple con el esquema definido para tal, realizando una validación de esquema.
  Si se encuentran errores en la validación, se eleva una excepción del tipo XSDValidatorExcetion, indicando en el mensaje los errores de validación encontrados.
  Una vez finalizada la transformación y antes de devolver la respuesta, en función del parámetro de entrada validateXbrl se valida la instancia XBRL.
  En el caso de encontrarse errores en la validación del XBRL, el transformación eleva una excepción del tipo XBRLValidatorException, en cuyo mensaje se encuentran los erroes de validación encontrados.

  Specified by:
    `transformToXbrl` in interface `IENLOCTransformer`
  Parameters:
    `inputDocument` - Array de bytes con el documento XML de entrada
    `validateXbrl` - Valor booleano que indicará si se debe validar el documento XBRL antes de devolver.
  Returns:
    Array de bytes con el documento XBRL resultado de la transformación
  Throws:
    `TransformException` - En el caso de encontrar errores en el proceso de transformación

### transformToXml

    public void transformToXml(java.lang.String inputPath,
                               java.lang.String outputPath,
                               boolean validateXbrl)
                        throws TransformException

  Description copied from interface: `IENLOCTransformer`
  Realiza la transformación de un documento XBRL a un documento XML en formato común, validando previamente el documento XBRL de entrada si es cierto el parámetro de entrada validateXbrl.
  Si el documento de entrada contiene errores de validación XBRL y se ha indicado que se haga la validación XBRL previa a la transformación, el transformación eleva una exceción XBRLValidatorException indicando en el mensaje los errores de validación encontrados.
  Una vez finalizada la transformación, se hace una verficación del XML de salida. Si se detecta algún error en la validación de dicho XML, se eleva una excepción XSDValidatorException, indicando en el mensaje de error los errores encontrados.

  Specified by:
    `transformToXml` in interface `IENLOCTransformer`
  Parameters:
    `inputPath` - Ruta del documento XBRL de entrada.
    `outputPath` - Ruta donde se guardará el documento XML de respuesta.
    `validateXbrl` - Valor booleano que indicará si se debe validar el documento XBRL de entrada, previamente a su transformación.
  Throws:
    `TransformException` - En el caso de encontrar errores en el proceso de transformación

### transformToXml

    public byte[] transformToXml(java.lang.String inputPath,
                                 boolean validateXbrl)
                          throws TransformException

  Description copied from interface: `IENLOCTransformer`
  Realiza la transformación de un documento XBRL a un documento XML en formato común, validando previamente el documento XBRL de entrada si es cierto el parámetro de entrada validateXbrl.
  Si el documento de entrada contiene errores de validación XBRL y se ha indicado que se haga la validación XBRL previa a la transformación, el transformación eleva una exceción XBRLValidatorException indicando en el mensaje los errores de validación encontrados.
  Una vez finalizada la transformación, se hace una verficación del XML de salida. Si se detecta algún error en la validación de dicho XML, se eleva una excepción XSDValidatorException, indicando en el mensaje de error los errores encontrados.
  La respuesta la devuelve como un array de bytes conteniendo el documento generado.

  Specified by:
    `transformToXml` in interface `IENLOCTransformer`
  Parameters:
    `inputPath` - Ruta del documento XBRL de entrada
    `validateXbrl` - valor booleano que indicará si se debe validar el documento XBRL de entrada, previamente a su transformación.
  Returns:
    Devuelve un documento con el resultado de la transformación.
  Throws:
    `TransformException` - En el caso de encontrar errores en el proceso de transformación

### transformToXml

    public byte[] transformToXml(byte[] inputDocument,
                                 boolean validateXbrl)
                          throws TransformException

  Description copied from interface: `IENLOCTransformer`
  Realiza la transformación de un documento XBRL a un documento XML en formato común, validando previamente el documento XBRL de entrada si es cierto el parámetro de entrada validateXbrl.
  El documento de entrada estará contenido en un array de bytes.
  Si el documento de entrada contiene errores de validación XBRL y se ha indicado que se haga la validación XBRL previa a la transformación, el transformación eleva una exceción XBRLValidatorException indicando en el mensaje los errores de validación encontrados.
  Una vez finalizada la transformación, se hace una verficación del XML de salida. Si se detecta algún error en la validación de dicho XML, se eleva una excepción XSDValidatorException, indicando en el mensaje de error los errores encontrados.
  La respuesta la devuelve como un array de bytes conteniendo el documento generado.

  Specified by:
    `transformToXml` in interface `IENLOCTransformer`
  Parameters:
    `inputDocument` - array de bytes con el documento de entrada
    `validateXbrl` - valor booleano que indicará si se debe validar el documento XBRL de entrada, previamente a su transformación.
  Returns:
    Devuelve un documento con el resultado de la transformación.
  Throws:
    `TransformException` - En el caso de encontrar errores en el proceso de transformación

### createInstance

    public static IENLOCTransformer createInstance()

  Crea una instancia del transformador ENLOC.

  Returns:
    Nueva instancia del transformador.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD